# Uses of Interface
waffle.util.cache.Cache

Packages that use Cache
Package
Description
waffle.util.cache
Waffle JNA Cache Package.

## Uses of Cache in waffle.util.cache

Classes in waffle.util.cache that implement Cache
Modifier and Type
Class
Description
`class`
`CaffeineCache<K,V>`
A `Cache` based on `Cache`.
Methods in waffle.util.cache that return Cache
Modifier and Type
Method
Description
`static <K,V> Cache<K,V>`
Cache.`newCache(int timeout)`
Creates a new cache with the specified timeout.
`<K,V> Cache<K,V>`
CacheSupplier.`newCache(long timeout)`
Creates a new cache with the specified timeout.
`<K,V> Cache<K,V>`
CaffeineCacheSupplier.`newCache(long timeout)`